ISKUCONTROL(1)

NAME
iskucontrol - a tool to control the extended capabilities of a Roccat Isku keyboard

SYNOPSIS
iskucontrol [ -fhpv ] [ -a NUMBER ] [ -l NUMBER ] [ -r FILENAME ] [ -s NUMBER ] [ -w FILENAME ] [ --activate-profile=NUMBER ] [ --actual-profile ] [ --help ] [ --load=NUMMER ] [ --path ] [ --read-firmware ] [ --read-rkp=FILENAME ] [ --reset ] [ --save=NUMMER ] [ --version ] [ --write-rkp=FILENAME ]

DESCRIPTION
This console application lets you modify profiles of a Roccat Isku keyboard.

OPTIONS

-h, --help
    Give the help list.

-a, --activate-profile=NUMBER
    Activates the given profile. Please mind that this permanently sets the startup profile. That means the given profile will be active each time the Isku starts up.

--actual-profile
    Returns the number of the active profile.

-f, --read-firmware
    Returns the firmware version of the Isku.

-l, --load=NUMBER
    Loads the profile from keyboard and deposits it in memory. If they differ a warning is given and the keyboard profile is used further.

-p, --path
    Returns the sysfs-path.

-r, --read-rkp=FILENAME
    Reads an rkp-file into memory.

--reset
    Resets the device to factory default settings.

-s, --save=NUMBER
    Saves the profile from memory to keyboard and deposit.

-v, --version
    Print program version.

-w, --write-rkp=FILENAME
    Writes the profile from memory as rkp-file.

EXAMPLES

iskucontrol -r profile.rkp -s 1
    Reads the profile from file profile.rkp and saves the result as profile number 1 in the keyboard and the deposited profile.

AUTHOR
Stefan Achatz <erazor_de@users.sourceforge.net>